<?php
function gardenlandscapingcoach_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'gardenlandscapingcoach_custom_header_args', array(
		'default-image'          => '',
		'default-text-color'     => '646464',
		'width'                  => 2000, 
		'height'                 => 200,
		'flex-height'            => true,
		'wp-head-callback'       => 'gardenlandscapingcoach_header_style',
	) ) );
}
add_action( 'after_setup_theme', 'gardenlandscapingcoach_custom_header_setup' );

if ( ! function_exists( 'gardenlandscapingcoach_header_style' ) ) :

function gardenlandscapingcoach_header_style() {
	$header_text_color = get_header_textcolor();


	$topheader_sitetitlecol = esc_attr(get_theme_mod('topheader_sitetitlecol','#92B201'));
	$topheader_taglinecol = esc_attr(get_theme_mod('topheader_taglinecol','#92B201'));


	$header_phniconcolor = esc_attr(get_theme_mod('header_phniconcolor','#92B201'));
	$header_phntxtcolor = esc_attr(get_theme_mod('header_phntxtcolor','#fff'));
	$header_menuscolor = esc_attr(get_theme_mod('header_menuscolor','#fff'));
	$header_menushovercolor = esc_attr(get_theme_mod('header_menushovercolor','#fff'));
	$header_submenusbgcolor = esc_attr(get_theme_mod('header_submenusbgcolor','#fff'));
	$header_submenutextcolor = esc_attr(get_theme_mod('header_submenutextcolor','#000'));
	$header_submenusbghovercolor = esc_attr(get_theme_mod('header_submenusbghovercolor','#92B201'));
	$header_btnbgcolor = esc_attr(get_theme_mod('header_btnbgcolor','#92B201'));
	$header_btnbghovercolor = esc_attr(get_theme_mod('header_btnbghovercolor','#fff'));
	$header_btntxtcolor = esc_attr(get_theme_mod('header_btntxtcolor','#fff'));
	$header_btntxthovercolor = esc_attr(get_theme_mod('header_btntxthovercolor','#92B201'));




  	$slider_titlecolor = esc_attr(get_theme_mod('slider_titlecolor','#000'));
  	$slider_descriptioncolor = esc_attr(get_theme_mod('slider_descriptioncolor','#5f5f5f'));
  	$slider_btntxt1color = esc_attr(get_theme_mod('slider_btntxt1color','#fff'));
  	$slider_btnbg1color = esc_attr(get_theme_mod('slider_btnbg1color','#92B201'));
  	$slider_btntxt2color = esc_attr(get_theme_mod('slider_btntxt2color','#92B201'));
  	$slider_btnbg2color = esc_attr(get_theme_mod('slider_btnbg2color','#92B201'));



  	$service_disable_section = esc_attr(get_theme_mod('service_disable_section','YES'));
  	$service_headingcolor = esc_attr(get_theme_mod('service_headingcolor','#006532'));
  	$service_bordercolor = esc_attr(get_theme_mod('service_bordercolor','#92B201'));
  	$service_boxtitlecolorcolor = esc_attr(get_theme_mod('service_boxtitlecolorcolor','#006532'));
  	$service_boxdescriptioncolorcolor = esc_attr(get_theme_mod('service_boxdescriptioncolorcolor','#5f5f5f'));
  	$service_buttonbgcolor = esc_attr(get_theme_mod('service_buttonbgcolor','#92B201'));
  	$service_buttontextcolor = esc_attr(get_theme_mod('service_buttontextcolor','#fff'));
  	$garden_landscaping_coach_service_top_padding = esc_attr(get_theme_mod('garden_landscaping_coach_service_top_padding','5'));
  	$garden_landscaping_coach_service_bottom_padding = esc_attr(get_theme_mod('garden_landscaping_coach_service_bottom_padding','2'));



  	$blog_headingcolor = esc_attr(get_theme_mod('blog_headingcolor','#006532'));
  	$blog_headingbordercolor = esc_attr(get_theme_mod('blog_headingbordercolor','#9FC224'));
  	$blog_boxbordercolor = esc_attr(get_theme_mod('blog_boxbordercolor','#9FC224'));
  	$blog_titlecolor = esc_attr(get_theme_mod('blog_titlecolor','#006532'));
  	$blog_descriptioncolor = esc_attr(get_theme_mod('blog_descriptioncolor','#5f5f5f'));
  	$blog_buttontextcolor = esc_attr(get_theme_mod('blog_buttontextcolor','#fff'));
  	$blog_buttonbgcolor = esc_attr(get_theme_mod('blog_buttonbgcolor','#9FC224'));



  	$footer_copyrightcolor = esc_attr(get_theme_mod('footer_copyrightcolor','#fff'));
  	$footer_textcolor = esc_attr(get_theme_mod('footer_textcolor','#fff'));


	?>
	<style type="text/css">


		<?php 
		
		?>

	


		header.site-header .site-title {
			color: <?php echo apply_filters('gardenlandscapingcoach_topheader', $topheader_sitetitlecol); ?>;

		}

		p.site-description {
			color: <?php echo apply_filters('gardenlandscapingcoach_topheader', $topheader_taglinecol); ?>;

		}
		


		
	

		header .h-phn i {
			color: <?php echo apply_filters('gardenlandscapingcoach_header', $header_phniconcolor); ?>;
		}

		header .h-phn span {
			color: <?php echo apply_filters('gardenlandscapingcoach_header', $header_phntxtcolor); ?>;
		}

		.main-header .navbar .navbar-menu ul li a,.main-header .navbar .navbar-menu ul li.dropdown>a::after {
			color: <?php echo apply_filters('gardenlandscapingcoach_header', $header_menuscolor); ?>;
		}

		..main-header .navbar .navbar-nav > li:hover a {
			border-color: <?php echo apply_filters('gardenlandscapingcoach_header', $header_menushovercolor); ?>;
		}

		.main-header .navbar .navbar-menu ul li.dropdown .sub-menu a:not(.remove) {
			color: <?php echo apply_filters('gardenlandscapingcoach_header', $header_submenutextcolor); ?>;
		}



		.main-header .navbar .navbar-menu ul li.dropdown .sub-menu a {
			background: <?php echo apply_filters('gardenlandscapingcoach_header', $header_submenusbgcolor); ?>;
		}


		.main-header .navbar .navbar-menu ul li.dropdown .sub-menu li:hover a {
			background: <?php echo apply_filters('gardenlandscapingcoach_header', $header_submenusbghovercolor); ?> !important;
			color: #000;
		}
	

		.hbtn a {
			background: <?php echo apply_filters('gardenlandscapingcoach_header', $header_btnbgcolor); ?>;
		}

		.hbtn a:hover {
			background: <?php echo apply_filters('gardenlandscapingcoach_header', $header_btnbghovercolor); ?>!important;
		}

		.hbtn a {
			color: <?php echo apply_filters('gardenlandscapingcoach_header', $header_btntxtcolor); ?>;
		}

		.hbtn a:hover {
			color: <?php echo apply_filters('gardenlandscapingcoach_header', $header_btntxthovercolor); ?>!important;
		}






		.hero-style .slide-title h2 {
			color: <?php echo apply_filters('gardenlandscapingcoach_slider', $slider_titlecolor); ?> !important;
		}


		.hero-style .slide-text p {
			color: <?php echo apply_filters('gardenlandscapingcoach_slider', $slider_descriptioncolor); ?>;
		}

		.hero-style a.ReadMore {
			color: <?php echo apply_filters('gardenlandscapingcoach_slider', $slider_btntxt1color); ?> !important;
		}

		.hero-style a.ReadMore {
			background: <?php echo apply_filters('gardenlandscapingcoach_slider', $slider_btnbg1color); ?>;
		}

		.hero-style a.contactus {
			color: <?php echo apply_filters('gardenlandscapingcoach_slider', $slider_btntxt2color); ?>;
		}

		.hero-style a.contactus {
			border-color: <?php echo apply_filters('gardenlandscapingcoach_slider', $slider_btnbg2color); ?>;
		}






		#service-section h3.section-title {
			color: <?php echo apply_filters('gardenlandscapingcoach_service', $service_headingcolor); ?>;
		}

		#service-section .sec-header-bord:before {
			border-color: <?php echo apply_filters('gardenlandscapingcoach_service', $service_bordercolor); ?>;
		}

		#service-section .serimgbrd:before,#service-section .serimgbrd:after {
			border-color: <?php echo apply_filters('gardenlandscapingcoach_service', $service_bordercolor); ?>;
		}

		#service-section .serimgbrd2 {
			border-bottom-color: <?php echo apply_filters('gardenlandscapingcoach_service', $service_bordercolor); ?>;
		}

		#service-section .serimgbrd2:before,#service-section .serimgbrd2:after {
			border-color: <?php echo apply_filters('gardenlandscapingcoach_service', $service_bordercolor); ?>;
		}

		#service-section .single-service h3 {
			color: <?php echo apply_filters('gardenlandscapingcoach_service', $service_boxtitlecolorcolor); ?>;
		}

		#service-section .single-service p, #service-section .single-service .description {
			color: <?php echo apply_filters('gardenlandscapingcoach_service', $service_boxdescriptioncolorcolor); ?>;
		}

		#service-section .serbtn a {
			background: <?php echo apply_filters('gardenlandscapingcoach_service', $service_buttonbgcolor); ?>;
		}

		#service-section .serbtn a {
			color: <?php echo apply_filters('gardenlandscapingcoach_service', $service_buttontextcolor); ?>;
		}


		#service-section {
			padding-top: <?php echo apply_filters('gardenlandscapingcoach_service', $garden_landscaping_coach_service_top_padding); ?>em !important;
		}

		#service-section {
			padding-bottom: <?php echo apply_filters('gardenlandscapingcoach_service', $garden_landscaping_coach_service_bottom_padding); ?>em !important;
		}




		#blog-section h3.section-title {
			color: <?php echo apply_filters('gardenlandscapingcoach_blog', $blog_headingcolor); ?>;
		}


		#blog-section .sec-header-bord:before {
			border-color: <?php echo apply_filters('gardenlandscapingcoach_blog', $blog_headingbordercolor); ?>;
		}

		#blog-section .blog-item {
			border-color: <?php echo apply_filters('gardenlandscapingcoach_blog', $blog_boxbordercolor); ?>;
		}

		#blog-section .blog-item .blog-content h6.post-title, .blog-item .blog-content h6.post-title a, .blog-item .blog-content .heding {
			color: <?php echo apply_filters('gardenlandscapingcoach_blog', $blog_titlecolor); ?>;
		}

		#blog-section .blog-item .blog-content p {
			color: <?php echo apply_filters('gardenlandscapingcoach_blog', $blog_descriptioncolor); ?>;
		}

		#blog-section .blog-item .blog-content a.btn_blog {
			color: <?php echo apply_filters('gardenlandscapingcoach_blog', $blog_buttontextcolor); ?>;
		}

		#blog-section .blog-item .blog-content a.btn_blog {
			background: <?php echo apply_filters('gardenlandscapingcoach_blog', $blog_buttonbgcolor); ?>;
		}




		.copy-right p,.copy-right p a {
			color: <?php echo apply_filters('gardenlandscapingcoach_popularproducts', $footer_copyrightcolor); ?>;
		}



		.footer-area .widget_text, .footer-area .widget_text p, .wp-block-latest-comments__comment-excerpt p, .wp-block-latest-comments__comment-date, .has-avatars .wp-block-latest-comments__comment .wp-block-latest-comments__comment-excerpt, .has-avatars .wp-block-latest-comments__comment .wp-block-latest-comments__comment-meta,.footer-area .widget_block h1, .footer-area .widget_block h2, .footer-area .widget_block h3, .footer-area .widget_block h4, .footer-area .widget_block h5, .footer-area .widget_block h6,.footer-area .footer-widget .widget:not(.widget_social_widget):not(.widget_tag_cloud) li a {
			color: <?php echo apply_filters('gardenlandscapingcoach_popularproducts', $footer_textcolor); ?>;
		}


		


	<?php  ?>




	<?php
		if ( ! display_header_text() ) :
	?>
		.site-title,
		.site-description {
			position: absolute;
			clip: rect(1px, 1px, 1px, 1px);
		}
	<?php
		else :
	?>
		h4.site-title{
			color: #<?php echo esc_attr( $header_text_color ); ?>;
		}
	<?php endif; ?>



	<?php
        if ($service_disable_section == 1):
	?>
		#service-section {
			display: none;
		}
	<?php
		else :
	?>
		#service-section {
			display: block;
		}
	<?php endif; ?>



	</style>
	<?php
}
endif;
